class i_wall extends f_xt
{
public double func(double x,double t)
{double Ti=20.0;//C
double dT=100.0;//K
double w=50.0;//s
double alfa=17.7e-4;//m^2/s
double T=Ti+dT*exp(-x*sqrt(w/(2*alfa)))*sin(w*t-x*sqrt(w/(2*alfa)));
return T;
}	
}
class f2DT extends f_xt
 {
 public double func (double x,double t)
{ double z=sin(x)*exp(-0.1*t);
 return z;
}
}
public class timeplottest1
{
public static void main(String args[]) 
  {
  i_wall ff=new i_wall();
  timeplot_n p=new timeplot_n(ff,0.0,0.1,0.001,0.0,20.0,0.1,0.2);
  p.start();
  }
} 